Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Functions | Variables
drawfx.cpp File Reference
`#include "mfcpch.h"`
`#include "drawfx.h"`
`#include "normalis.h"`
`#include "werd.h"`

Go to the source code of this file.

## Macros

#define | FXDEMOWIN "FXDemo"
#define | FXDEMOXPOS 250
#define | FXDEMOYPOS 0
#define | FXDEMOXSIZE 600
#define | FXDEMOYSIZE 256
#define | BLN_MAX 512
#define | WERDWIDTH (BLN_MAX*20)
#define | DECENT_WERD_WIDTH (5*kBlnXHeight)
#define | DEBUG_WIN_NAME "FXDebug"
#define | DEBUG_XPOS 0
#define | DEBUG_YPOS 120
#define | DEBUG_XSIZE 80
#define | DEBUG_YSIZE 32
#define | YMAX 3508
#define | XMAX 2550
#define | MAXEDGELENGTH 1024
#define | EXTERN

## Functions

void | create_fx_win ()
void | clear_fx_win ()
void | create_fxdebug_win ()

## Variables

EXTERN char * | fx_debugfile = "FXDebug"
EXTERN ScrollView * | fx_win = NULL
EXTERN FILE * | fx_debug = NULL

## Macro Definition Documentation

#define BLN_MAX 512

Definition at line 36 of file drawfx.cpp.

#define DEBUG_WIN_NAME "FXDebug"

Definition at line 40 of file drawfx.cpp.

#define DEBUG_XPOS 0

Definition at line 41 of file drawfx.cpp.

#define DEBUG_XSIZE 80

Definition at line 43 of file drawfx.cpp.

#define DEBUG_YPOS 120

Definition at line 42 of file drawfx.cpp.

#define DEBUG_YSIZE 32

Definition at line 44 of file drawfx.cpp.

#define DECENT_WERD_WIDTH (5*kBlnXHeight)

Definition at line 38 of file drawfx.cpp.

#define EXTERN

Definition at line 49 of file drawfx.cpp.

#define FXDEMOWIN "FXDemo"

Definition at line 31 of file drawfx.cpp.

#define FXDEMOXPOS 250

Definition at line 32 of file drawfx.cpp.

#define FXDEMOXSIZE 600

Definition at line 34 of file drawfx.cpp.

#define FXDEMOYPOS 0

Definition at line 33 of file drawfx.cpp.

#define FXDEMOYSIZE 256

Definition at line 35 of file drawfx.cpp.

#define MAXEDGELENGTH 1024

Definition at line 47 of file drawfx.cpp.

#define WERDWIDTH (BLN_MAX*20)

Definition at line 37 of file drawfx.cpp.

#define XMAX 2550

Definition at line 46 of file drawfx.cpp.

#define YMAX 3508

Definition at line 45 of file drawfx.cpp.

## Function Documentation

void clear_fx_win | ( |  | ) |

Definition at line 75 of file drawfx.cpp.

{ //make features win
fx_win->Clear();
fx_win->Pen(64,64,64);
fx_win->Line(-WERDWIDTH, kBlnBaselineOffset, WERDWIDTH, kBlnBaselineOffset);
fx_win->Line(-WERDWIDTH, kBlnXHeight + kBlnBaselineOffset, WERDWIDTH,
kBlnXHeight + kBlnBaselineOffset);
}

void create_fx_win | ( |  | ) |

Definition at line 62 of file drawfx.cpp.

{ //make features win
fx_win = new ScrollView (FXDEMOWIN,
FXDEMOXPOS, FXDEMOYPOS, FXDEMOXSIZE, FXDEMOYSIZE,
WERDWIDTH*2, BLN_MAX*2, true);
}

void create_fxdebug_win | ( |  | ) |

Definition at line 91 of file drawfx.cpp.

{ //make gradients win
}

## Variable Documentation

EXTERN FILE* fx_debug = NULL

Definition at line 54 of file drawfx.cpp.

EXTERN char* fx_debugfile = "FXDebug"

"Name of debugfile"

Definition at line 51 of file drawfx.cpp.

EXTERN ScrollView* fx_win = NULL

Definition at line 53 of file drawfx.cpp.